Package ru.bitel.oss.systems.order.product.common.event

# Class ProductOrderEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.order.product.common.event.ProductOrderEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ProductOrderEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MODE_ACTIVATE` |
  `static int` | `MODE_DEACTIVATE` |
  `static int` | `MODE_MODIFY` |
  `static int` | `MODE_REACTIVATE` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductOrderEvent​(int mode, int contractId, int userId, boolean customer, ProductSpec productSpec, ProductSpecActivationMode activateMode, Product oldProduct, Product newProduct, boolean sync, boolean activate)` |
  `ProductOrderEvent​(int mode, int contractId, int userId, ProductSpec productSpec, ProductSpecActivationMode activateMode, Product oldProduct, Product newProduct, boolean sync, boolean activate)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ProductSpecActivationMode` | `getActivationMode()` |
  `java.lang.String` | `getMessage()` |
  `int` | `getMode()` |
  `Product` | `getNewProduct()` |
  `Product` | `getOldProduct()` |
  `java.util.List<ProductEntry>` | `getProductEntryList()` |
  `ProductSpec` | `getProductSpec()` |
  `boolean` | `isCustomer()` |
  `boolean` | `isProcess()` |
  `boolean` | `isSync()` | Нужна ли синхронизация (не нужна, если MW активировало/активирует само).
  `void` | `setMessage​(java.lang.String message)` |
  `void` | `setNewProduct​(Product newProduct)` |
  `void` | `setOldProduct​(Product oldProduct)` |
  `void` | `setProcess​(boolean activate)` |
  `void` | `setProductEntryList​(java.util.List<ProductEntry> productEntryList)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODE_ACTIVATE

    public static final int MODE_ACTIVATE
    See Also:
      Constant Field Values

  - ### MODE_DEACTIVATE

    public static final int MODE_DEACTIVATE
    See Also:
      Constant Field Values

  - ### MODE_MODIFY

    public static final int MODE_MODIFY
    See Also:
      Constant Field Values

  - ### MODE_REACTIVATE

    public static final int MODE_REACTIVATE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ProductOrderEvent

    @Deprecated public ProductOrderEvent​(int mode, int contractId, int userId, ProductSpec productSpec, ProductSpecActivationMode activateMode, Product oldProduct, Product newProduct, boolean sync, boolean activate)
    Deprecated.

  - ### ProductOrderEvent

    public ProductOrderEvent​(int mode, int contractId, int userId, boolean customer, ProductSpec productSpec, ProductSpecActivationMode activateMode, Product oldProduct, Product newProduct, boolean sync, boolean activate)

- ## Method Details

  - ### isCustomer

    public boolean isCustomer()

  - ### getProductSpec

    public ProductSpec getProductSpec()

  - ### getActivationMode

    public ProductSpecActivationMode getActivationMode()

  - ### isSync

    public boolean isSync()
    Нужна ли синхронизация (не нужна, если MW активировало/активирует само).

  - ### isProcess

    public boolean isProcess()

  - ### setProcess

    public void setProcess​(boolean activate)

  - ### getMessage

    public java.lang.String getMessage()

  - ### setMessage

    public void setMessage​(java.lang.String message)

  - ### getOldProduct

    public Product getOldProduct()

  - ### setOldProduct

    public void setOldProduct​(Product oldProduct)

  - ### getNewProduct

    public Product getNewProduct()

  - ### setNewProduct

    public void setNewProduct​(Product newProduct)

  - ### getMode

    public int getMode()

  - ### getProductEntryList

    public java.util.List<ProductEntry> getProductEntryList()

  - ### setProductEntryList

    public void setProductEntryList​(java.util.List<ProductEntry> productEntryList)